////////////////////////////////////////////////////////////////////////////////
///                         7seg_chars_kello_v4.h                            ///
///    Character defines for 7 segment displays on kello_v4 project          ///
///                                                                          ///
/// Copyright 2017-2018 Jaakko Kairus                                        ///
/// jaakko@kair.us                                                           ///
///                                                                          ///
/// You may freely use and modify this software for personal use.            ///
/// Commercial use of this software or parts of it is prohibited             ///
/// without written permission from author.                                  ///
/// DISCLAIMER: This software comes with ABSOLUTELY NO WARRANTY              ///
///                                                                          ///
/// For more information about this project see project web page at          ///
/// http://kair.us/projects/clock/v4/index.html                              ///
///                                                                          ///
/// Developed with CCS compiler version 5.077                                ///
///                                                                          ///
////////////////////////////////////////////////////////////////////////////////

// defines for left display
#define _SPACE 0x00
#define _L_EXCLAMATION 0x00
#define _L_QUOTATION 0x00
#define _L_HASH 0x00
#define _L_DOLLAR 0x00
#define _L_PERCENT 0x00
#define _L_AMPERSAND 0x00
#define _L_APOSTROPHE 0x00
#define _L_LEFT_PARENTHESIS 0x00
#define _L_RIGHT_PARENTHESIS 0x00
#define _L_ASTERISK 0x00
#define _L_PLUS 0x00
#define _L_COMMA 0x00
#define _L_MINUS 0x10
#define _L_PERIOD 0xfe
#define _L_SLASH 0x94
#define _L0 0xe7 //0x3f
#define _L1 0x81 //0x06
#define _L2 0xd6 //0x5b
#define _L3 0xd3 //0x4f
#define _L4 0xb1 //0x66
#define _L5 0x73 //0x6d
#define _L6 0x77 //0x7d
#define _L7 0xc1 //0x07
#define _L8 0xf7 //0x7f
#define _L9 0xf3 //0x6f
#define _L_COLON 0x00
#define _L_SEMICOLON 0x00
#define _L_LESS 0x00
#define _L_EQUALS 0x00
#define _L_GREATER 0x00
#define _L_QUESTION 0x00
#define _L_AT 0x00
#define _LA 0xf5
#define _LB 0x37
#define _LC 0x16
#define _LD 0x97
#define _LE 0x76
#define _LF 0x74
#define _LG 0x67
#define _LH 0x35
#define _LI 0x01
#define _LJ 0x87
#define _LK 0xb5
#define _LL 0x26
#define _LM 0x45
#define _LN 0x15
#define _LO 0x17
#define _LP 0xf4
#define _LQ 0xf1
#define _LR 0x14
#define _LS 0x73
#define _LT 0x36
#define _LU 0xa7
#define _LV 0x07
#define _LW 0xa2
#define _LX 0xb5
#define _LY 0xb3
#define _LZ 0xd6
#define _L_LEFT_BRACKET 0x00
#define _L_BACKSLASH 0x00
#define _L_RIGHT_BRACKET 0x00
#define _L_CIRCUMFLEX 0x00
#define _L_UNDERSCORE 0x00
#define _L_CELSIUS 0x39
#define _L_DEGREE 0xf0
#define _L_POINT 0x00	// blank because L point not connected


// defines for right display
#define _R_EXCLAMATION 0x00
#define _R_QUOTATION 0x00
#define _R_HASH 0x00
#define _R_DOLLAR 0x00
#define _R_PERCENT 0x00
#define _R_AMPERSAND 0x00
#define _R_APOSTROPHE 0x00
#define _R_LEFT_PARENTHESIS 0x00
#define _R_RIGHT_PARENTHESIS 0x00
#define _R_ASTERISK 0x00
#define _R_PLUS 0x00
#define _R_COMMA 0x00
#define _R_MINUS 0x01
#define _R_PERIOD 0x04
#define _R_SLASH 0x91
#define _R0 0xfa //0x3f
#define _R1 0x30 //0x06
#define _R2 0xd9 //0x5b
#define _R3 0x79 //0x4f
#define _R4 0x33 //0x66
#define _R5 0x6b //0x6d
#define _R6 0xeb //0x7d
#define _R7 0x38 //0x07
#define _R8 0xfb //0x7f
#define _R9 0x7b //0x6f
#define _R_COLON 0x00
#define _R_SEMICOLON 0x00
#define _R_LESS 0x00
#define _R_EQUALS 0x00
#define _R_GREATER 0x00
#define _R_QUESTION 0x00
#define _R_AT 0x00
#define _RA 0xbb
#define _RB 0xe3
#define _RC 0xc1
#define _RD 0xf1
#define _RE 0xcb
#define _RF 0x8b
#define _RG 0xea
#define _RH 0xa3
#define _RI 0x20
#define _RJ 0xf0
#define _RK 0xb3
#define _RL 0xc2
#define _RM 0xa8
#define _RN 0xa1
#define _RO 0xe1
#define _RP 0x9b
#define _RQ 0x3b
#define _RR 0x81
#define _RS 0x6b
#define _RT 0xc3
#define _RU 0xf2
#define _RV 0xe0
#define _RW 0x52
#define _RX 0xb3
#define _RY 0x73
#define _RZ 0xd9
#define _R_LEFT_BRACKET 0x00
#define _R_BACKSLASH 0x00
#define _R_RIGHT_BRACKET 0x00
#define _R_CIRCUMFLEX 0x00
#define _R_UNDERSCORE 0x00
#define _R_CELSIUS 0xca
#define _R_DEGREE 0x1b
#define _R_POINT 0x04
